PETSc version 3.15.5
Fix/Edit manual page

# DMInterpolationGetVector

Gets a Vec which can hold all the interpolated field values

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMInterpolationGetVector(DMInterpolationInfo ctx, Vec *v)

Collective on ctx

### Input Parameter

| ctx | - the context

### Output Parameter

| v | - a vector capable of holding the interpolated field values

Note: This vector should be returned using DMInterpolationRestoreVector().

### See Also

DMInterpolationRestoreVector(), DMInterpolationEvaluate(), DMInterpolationAddPoints(), DMInterpolationCreate()

### Level

intermediate

### Location

src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages